Subject: NNCP and FUSE

From: John Goerzen <[email-masked]>
Date: Fri, 26 Aug 2022 09:39:49 -0500

So I've been reflecting lately -

The NNCP docs include information on using nncp-exec to download pages
remotely.  That can certainly work well.

What about using nncp-file for that?  nncp-file doesn't really have
pluggable backends, but on Linux we have FUSE.  We can plug all sorts of
things into it, from rclone (which supports just about every cloud
backend) to sftp to ftp.  It would be quite easy to, say, download a
kiwix site, or a Gutenberg book, by nncp-freq.

If there are suggestions for things to set up like this on quux, send
them my way, and if I can get FUSE to work in Docker, I'll get it going!

- John